package org.rcisoft.common.util.feignClient;

import org.rcisoft.common.util.fallback.MicroappFeignClientFallBack;
import org.rcisoft.common.util.feignDto.HaveJurisdictionReqDTO;
import org.rcisoft.common.util.feignDto.MTNotificationSendReqDTO;
import org.rcisoft.core.result.Ret;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 智信消息客户端接口
 */
@FeignClient(value = "spcl-sm-app", fallback = MicroappFeignClientFallBack.class)
public interface MicroappFeignClient {

    /**
     * 发送智信消息
     * @return
     */
    @RequestMapping(value = "/micro_app/isHaveApps",method = RequestMethod.GET)
    Ret isHaveApps(@RequestParam("UserId") Long UserId,
                    @RequestParam("corpId") Long corpId,
                    @RequestParam("appId") Long appId,
                   @RequestParam("zxClientType") String zxClientType,
                   @RequestParam("zxAccountId") Long zxAccountId);

    /**
     * 筛选有通知权限人员
     * @param haveJurisdictionReqDTO
     * @param zxClientType
     * @param zxAccountId
     * @return
     */
    @RequestMapping(value = "/micro_app/haveJurisdictionUser",method = RequestMethod.POST)
    Ret haveJurisdictionUser(@RequestBody HaveJurisdictionReqDTO haveJurisdictionReqDTO,
                   @RequestParam("zxClientType") String zxClientType,
                   @RequestParam("zxAccountId") Long zxAccountId);

    /**
     * 筛选有通知权限人员(优化)
     * @param haveJurisdictionReqDTO
     * @param zxClientType
     * @param zxAccountId
     * @return
     */
    @RequestMapping(value = "/micro_app/haveJurisdictionUserFast",method = RequestMethod.POST,consumes = MediaType.APPLICATION_JSON_VALUE)
    Ret haveJurisdictionUserFast(@RequestBody HaveJurisdictionReqDTO haveJurisdictionReqDTO,
                   @RequestParam("zxClientType") String zxClientType,
                   @RequestParam("zxAccountId") Long zxAccountId);

}
