package org.rcisoft.common.util.outClient;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.common.util.feignClient.FileFeignClient;
import org.rcisoft.common.util.feignClient.MicroappFeignClient;
import org.rcisoft.common.util.feignDto.HaveJurisdictionReqDTO;
import org.rcisoft.common.util.feignDto.MTOssRspDTO;
import org.rcisoft.core.result.Ret;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.Valid;
import java.util.List;

/**
 * 消息通知接口调用
 * @author David
 */
@Slf4j
@Component
public class MTMicroappApiRequestClient {

    public static String zxClientType = "app";

    public static Long zxAccountId = (long)1;

    @Value("${appId.noticeAppId}")
    private Long appId;

    @Autowired
    private MicroappFeignClient microappFeignClient;

    public boolean isHaveApps(long userId, long corpId) {
        Ret ret = microappFeignClient.isHaveApps(userId,corpId,appId,zxClientType,zxAccountId);
        if(ret != null && "M0000".equals(ret.getCode())){
            return (boolean) ret.getData();
        }
        return false;
    }

    public Ret haveJurisdictionUser(HaveJurisdictionReqDTO haveJurisdictionReqDTO) {
        haveJurisdictionReqDTO.setAppId(appId);
        Ret ret = microappFeignClient.haveJurisdictionUser(haveJurisdictionReqDTO,zxClientType,zxAccountId);
        return ret;
    }

    public Ret haveJurisdictionUserFast(HaveJurisdictionReqDTO haveJurisdictionReqDTO) {
        haveJurisdictionReqDTO.setAppId(appId);
        Ret ret = microappFeignClient.haveJurisdictionUserFast(haveJurisdictionReqDTO,zxClientType,zxAccountId);
        return ret;
    }

}
